#
#   Module Name:    toshiba-sleep-prot-suse11.spec
#
#  (C) Copyright 2011,2012, International Business Machines Corporation.
#  (C) Copyright 2013 Toshiba Global Commerce Solutions, Inc.
#

# norootforbuild
%define my_release 0
###############################################################################
Name:           toshiba-sleep-prot-suse11
Version:        1.0
Release:        %{?my_release}
Group:          System/Kernel
Summary:        Toshiba Sleep Protect Kernel Module Package
License:        GPL
Url:            http://www.toshibagcs.com
Source0:        %name-%version.tar.bz2
Source1:        Module.supported
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %kernel_module_package_buildreqs
Provides:       toshiba-sleep-prot-suse11
Obsoletes:      ibm-sleep-prot-suse11
Obsoletes:      ibm-sleep-prot
###############################################################################

%kernel_module_package 

%description
This is the Toshiba Sleep Protect Kernel Module Package. It can be used to prevent the
system transitioning to S1,S3,S4,S5 while a process is performing firmware upgrade of a
motherboard or attached device. It provides an interface

%package KMP
Summary: Toshiba Sleep Protect Kernel Module
Group: System/Kernel

%description KMP
This is the Toshiba Sleep Protect Kernel Module Package. It can be used to prevent the
system transitioning to S1,S3,S4,S5 while a process is performing firmware upgrade of a
motherboard or attached device. It provides an interface



%prep
%setup
cp %_sourcedir/Module.supported Module.supported
set -- *
mkdir source
mv "$@" source/
mkdir obj
echo 'FLAVORS '%flavors_to_build

%build
export EXTRA_CFLAGS='-DVERSION=\"%version\"'

for flavor in %flavors_to_build; do
	rm -rf obj/$flavor
	cp -r source obj/$flavor
	make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
	M=$PWD/obj/$flavor
done


%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates

for flavor in %flavors_to_build; do
	make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
	M=$PWD/obj/$flavor
done


%changelog
* Wed Jun 12 2013 poswald@suse.com
-Initial SUSE PLDP build of the Toshiba sleep-protection driver v1.0
